<?php

namespace Lc\CaracoleBundle\Repository\Product;

use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\CaracoleBundle\Resolver\Price\PriceResolver;
use Lc\SovBundle\Repository\AbstractStore;

class ProductFamilyStore extends AbstractStore
{
    protected ProductFamilyRepositoryQuery $query;

    public function __construct(ProductFamilyRepositoryQuery $query)
    {
        $this->query = $query;
    }

    public function isOneProductAvailableAddCart(array $products): bool
    {
        foreach ($products as $product) {
            if ($product->isAvailable(1, true)) {
                return true;
            }
        }

        return false;
    }
}
